Skip to main content
GET
/
v1
/
enrichments
/
{enrichment_id}
Get a specific enrichment
curl --request GET \
  --url https://api.databar.ai/v1/enrichments/{enrichment_id} \
  --header 'x-apikey: <x-apikey>'
{
  "id": 1,
  "name": "Enrichment Example",
  "description": "Description for Enrichment Example",
  "price": 0.01,
  "pricing": {
    "type": "per_parameter",
    "parameter": "size"
  },
  "params": [
    {
      "name": "param1",
      "is_required": true,
      "type_field": "text",
      "description": "Enter a value"
    },
    {
      "name": "country",
      "is_required": false,
      "type_field": "select",
      "description": "Select a country",
      "choices": {
        "mode": "inline",
        "items": [
          {
            "id": "us",
            "name": "United States"
          },
          {
            "id": "gb",
            "name": "United Kingdom"
          }
        ]
      }
    },
    {
      "name": "industry",
      "is_required": false,
      "type_field": "select",
      "description": "Select an industry",
      "choices": {
        "mode": "remote",
        "endpoint": "/v1/enrichments/1/params/industry/choices"
      }
    },
    {
      "name": "categories",
      "is_required": false,
      "type_field": "mselect",
      "description": "Select categories",
      "choices": {
        "mode": "inline",
        "items": [
          {
            "id": "tech",
            "name": "Technology"
          },
          {
            "id": "finance",
            "name": "Finance"
          }
        ]
      }
    }
  ],
  "response_fields": [
    {
      "name": "field1",
      "type_field": "text"
    }
  ]
}

Headers

x-apikey
any
required

API Key for authentication

Path Parameters

enrichment_id
integer
required

The ID of the enrichment to retrieve

Response

Successful Response

id
integer
required
name
string
required
description
string
required
data_source
string
required
price
number
required
pricing
PricingInfo · object
required
auth_method
string
required
params
Param · object[]
required
response_fields
ResponseField · object[]
required
pagination
PaginationInfo · object
required
category
CategoryInfo · object[]